ScalaPluginIntegrationTest.groovy

Clone Tools
  • last updated a few seconds ago
Constraints
Constraints: committers
 
Constraints: files
Constraints: dates
    • -0
    • +25
    ./ScalaPluginIntegrationTest.groovy
    • -0
    • +48
    ./ScalaPluginIntegrationTest.groovy
    • -0
    • +48
    ./ScalaPluginIntegrationTest.groovy
Fix #6750

Disambiguate publications when a consumer doesn't care about the usage to prefer java runtime jars

  1. … 1 more file in changeset.
Fix #6735

Only consider Project dependencies for analysis mappings

  1. … 1 more file in changeset.
Reproduce Scala variant selection failure

    • -0
    • +41
    ./ScalaPluginIntegrationTest.groovy
    • -0
    • +37
    ./ScalaPluginIntegrationTest.groovy
Usage variant aware dependency management to share analysis files

Use artifactView to filter analysis files

  1. … 9 more files in changeset.
Avoid iterating over tasks in subprojects from ScalaCompile

  1. … 2 more files in changeset.
    • -1
    • +46
    ./ScalaPluginIntegrationTest.groovy
Scala plugin should be able to be applied, regardless of the JVM we're running on.

Use HTTPS for links and communication to issues.gradle.org and services.gradle.org.

+review REVIEW-5132

  1. … 49 more files in changeset.
Changed AntScalaCompiler to handle java 8 as a target.

    • -36
    • +0
    ./ScalaPluginIntegrationTest.groovy
  1. … 3 more files in changeset.
updated preconditions and target scala versions for scala integration tests

  1. … 10 more files in changeset.
updated preconditions and target scala versions for scala integration tests

  1. … 9 more files in changeset.
fixed GRADLE-3094: Scala plugin doesn't work when Gradle is run with Java 8

- Note that according to Scala release notes, latest Scala (2.11.1) doesn't really support Java 8 yet. Even when switching our integration tests to Scala 2.11.1, Scala compilation would fail with `VerifyError`s when running with Java 8.

    • -0
    • +36
    ./ScalaPluginIntegrationTest.groovy
  1. … 2 more files in changeset.
fixed GRADLE-3094: Scala plugin doesn't work when Gradle is run with Java 8

- Note that according to Scala release notes, latest Scala (2.11.1) doesn't really support Java 8 yet. Even when switching our integration tests to Scala 2.11.1, Scala compilation would fail with `VerifyError`s when running with Java 8.

    • -0
    • +36
    ./ScalaPluginIntegrationTest.groovy
  1. … 2 more files in changeset.